package com.update.update.controller;


import com.update.update.entity.fresh;
import com.update.update.util.GJson;
import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import com.update.update.service.impl.freshServiceImpl;
import com.update.update.service.impl.refreshServiceImpl;
import com.update.update.util.ServletUtil;
import com.update.update.util.StringUtil;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
public class freshController {
    @Autowired
    freshServiceImpl freshS = new freshServiceImpl();
    @Autowired
    refreshServiceImpl refreshService = new refreshServiceImpl();

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public String addVersion(@RequestParam("VersionId")String VersionId,@RequestParam("apkUrl")String apkUrl,@RequestParam("updateDescription")String updateDescription ) throws JSONException {
        JSONObject result = new JSONObject();
        int index = freshS.add (VersionId, apkUrl, updateDescription);
        if (index != 400) {
            result.put("message", "信息添加成功!");
            result.put("flag", true);
        } else {
            result.put("message", "信息添加失败,请检查是否完整!");
            result.put("flag", false);
        }
        return ServletUtil.createSuccessResponse(200, result);
    }

    @RequestMapping(value = "/updating", method = RequestMethod.POST)
    public String updating(@RequestParam("VersionId")String oldVersionId) throws Exception {
       return GJson.toJson(refreshService.new_version(oldVersionId));
    }
}
