package com.update.update.service.impl;


import com.update.update.entity.fresh;
import com.update.update.dao.freshMapper;
import com.update.update.service.freshService;
import com.update.update.util.ServletUtil;
import com.update.update.util.StringUtil;
import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class freshServiceImpl implements freshService {

    @Autowired
    freshMapper f;

    @Override
    public int add(String VersionId, String apkUrl, String updateDescription) throws JSONException {
        if (StringUtil.isNull(VersionId)) {
            return 400;

        }
        if (StringUtil.isNull(apkUrl)) {
            return 400;

        }
        if (StringUtil.isNull(updateDescription)) {
            return 400;
        }
        fresh newOne = new fresh(VersionId, apkUrl, updateDescription);

        return this.f.add(newOne);
    }

    @Override
    public fresh query() {
        List<fresh> s = this.f.query();
        return s.get(s.size() - 1);
    }

}